Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-11-05 22:44:35 +0300
committerJunio C Hamano <junkio@cox.net>2005-11-05 22:44:35 +0300
commit3d95bf074e8532fd0643b886422eddd0768a3f2c (patch)
tree2852b641cbfa47ab22cf2cee6bc952e8548d8082 /git-clone.sh
parent32276c8059908874afb7a2db039ccc7bcfd84ec7 (diff)
git-clone: fix local clone
If we let cpio to create the leading directories implicitly, it ends up having funny perm bits (GNU cpio 2.5 and 2.6, at least). This leaves .git/object/?? directories readable only by the owner. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/git-clone.sh b/git-clone.sh
index c27a913b1d..1adf604172 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -126,8 +126,7 @@ yes,yes)
fi &&
rm -f "$D/.git/objects/sample" &&
cd "$repo" &&
- find objects -type f -print |
- cpio -puamd$l "$D/.git/" || exit 1
+ find objects -depth -print | cpio -puamd$l "$D/.git/" || exit 1
;;
yes)
mkdir -p "$D/.git/objects/info"